function sb2sls2c(blkname);
%SB2SLS2C converts spherical blocks to cartesian blocks.
&	SB2SLS2C(BLKNAME) converts a SystemBuild block to a SIMULINK
%	block. BLKNAME is a string containing the name of the block.

% Wes Wang 9/10/92
% Copyright (c) 1990-93 by The MathWorks, Inc.
% $Revision: 1.5 $  $Date: 1993/06/09 22:09:40 $

set_param(blkname,'Location',[0,0,623,352])
add_block('built-in/Mux',[blkname '/Mux1'])
set_param([blkname '/Mux1'],'hide name',0,...
		'inputs','2','position',[315,107,345,143])
add_block('built-in/Fcn',[blkname '/x'])
set_param([blkname '/x'],'Expr','u[1]*cos(u[2])',...
		'position',[395,112,500,138])
add_block('built-in/Fcn',[blkname '/y'])
set_param([blkname '/y'],'Expr','u[1]*sin(u[2])',...
		'position',[395,209,500,231])
add_block('built-in/Fcn',[blkname '/z'])
set_param([blkname '/z'],'Expr','u[1]*cos(u[2])',...
		'position',[395,304,500,326])
%add_block('built-in/Outport',[blkname '/X'])
set_param([blkname '/output1'],'position',[560,115,580,135])
%add_block('built-in/Outport',[blkname '/Y'])
set_param([blkname '/output2'],'Port','2',...
		'position',[560,210,580,230])
%add_block('built-in/Outport',[blkname '/Z'])
set_param([blkname '/output3'],'Port','3',...
		'position',[565,305,585,325])
add_block('built-in/Fcn',[blkname '/temp'])
set_param([blkname '/temp'],'Expr','u[1]*sin(u[2])',...
		'position',[155,102,260,128])
add_block('built-in/Mux',[blkname '/Mux'])
set_param([blkname '/Mux'],'hide name',0,...
		'inputs','2','position',[75,97,105,133])
%add_block('built-in/Inport',[blkname '/r'])
set_param([blkname '/input1'],'position',[20,70,40,90])
add_block('built-in/Note',[blkname '/Spherical to cartesian'])
set_param([blkname '/Spherical to cartesian'],...
		'position',[165,30,166,31])
%add_block('built-in/Inport',[blkname '/theta'])
set_param([blkname '/input2'],'Port','2',...
		'position',[20,164,40,186])
%add_block('built-in/Inport',[blkname '/phi'])
set_param([blkname '/input3'],'Port','3',...
		'position',[20,114,40,136])
add_line(blkname,[505,315;555,315])
add_line(blkname,[505,220;550,220])
add_line(blkname,[505,125;550,125])
add_line(blkname,[265,115;305,115])
add_line(blkname,[45,80;65,105])
add_line(blkname,[45,125;65,125])
add_line(blkname,[45,175;280,175;280,135;305,135])
add_line(blkname,[350,125;385,125])
add_line(blkname,[365,125;365,220;385,220])
add_line(blkname,[110,115;145,115])
add_line(blkname,[125,115;125,315;385,315])
set_param(blkname,'Mask Display',...
'plot(0,0,100,100,[45,40,35,40,40],[85,95,85,95,40],[85,95,85,95,40],[35,40,45,40,40],[60,40,10,20,10,14],[70,40,10,13,10,20],[56,45],[70,70],[60,60],[50,60],[60,60],[30,40],[50,60],[20,20],[30,40],[20,20],[45,55],[35,25],[75,65],[35,25])')
set_param(blkname,'Mask Type','[r,phi,theta]->[x,y,z]',...
  'Mask Dialogue','Tranformation from spherical to cartesian\ncoordinates.x=rsin(phi)cos(theta)\ny=rsin(phi)sin(theta), z=rcos(phi)')
set_param(blkname,'Mask Translate','',...
		'Mask Help','Unmask this block for more help.')
%end of sb2slp2s.m
